Process
Update
POST
/
process.Process
/
Update
Update
curl --request POST \
--url https://{port}-{sandboxID}.e2b.app/process.Process/Update \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--header 'X-Access-Token: <api-key>' \
--data '
{
"process": {
"pid": 123
},
"pty": {
"size": {
"cols": 123,
"rows": 123
}
}
}
'import requests
url = "https://{port}-{sandboxID}.e2b.app/process.Process/Update"
payload = {
"process": { "pid": 123 },
"pty": { "size": {
"cols": 123,
"rows": 123
} }
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"X-Access-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
'X-Access-Token': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({process: {pid: 123}, pty: {size: {cols: 123, rows: 123}}})
};
fetch('https://{port}-{sandboxID}.e2b.app/process.Process/Update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"message": "<string>",
"code": 123,
"sandboxID": "<string>"
}Authorizations
Sandbox access token (envdAccessToken) for authenticating requests to a running sandbox. Returned by: POST /sandboxes (on create), POST /sandboxes/{sandboxID}/connect (on connect), POST /sandboxes/{sandboxID}/resume (on resume), and GET /sandboxes/{sandboxID} (for running or paused sandboxes).
Headers
Define the version of the Connect protocol
Define the timeout, in ms
Body
application/json
Response
Success
The response is of type UpdateResponse · object.
Was this page helpful?
⌘I
Update
